Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.calendar.schema
Interface HourMinuteRangeType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface HourMinuteRangeType

extends XmlObject

An XML hourMinuteRangeType(@http://www.bea.com/wli/calendar/schema). This is a complex type.

Nested Class Summary
`static class` | `HourMinuteRangeType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`int` | `getEndHour()` Gets the "endHour" element
`int` | `getEndMinute()` Gets the "endMinute" element
`int` | `getStartHour()` Gets the "startHour" element
`int` | `getStartMinute()` Gets the "startMinute" element
`void` | `setEndHour(int endHour)` Sets the "endHour" element
`void` | `setEndMinute(int endMinute)` Sets the "endMinute" element
`void` | `setStartHour(int startHour)` Sets the "startHour" element
`void` | `setStartMinute(int startMinute)` Sets the "startMinute" element
`XmlInt` | `xgetEndHour()` Gets (as xml) the "endHour" element
`XmlInt` | `xgetEndMinute()` Gets (as xml) the "endMinute" element
`XmlInt` | `xgetStartHour()` Gets (as xml) the "startHour" element
`XmlInt` | `xgetStartMinute()` Gets (as xml) the "startMinute" element
`void` | `xsetEndHour(XmlInt endHour)` Sets (as xml) the "endHour" element
`void` | `xsetEndMinute(XmlInt endMinute)` Sets (as xml) the "endMinute" element
`void` | `xsetStartHour(XmlInt startHour)` Sets (as xml) the "startHour" element
`void` | `xsetStartMinute(XmlInt startMinute)` Sets (as xml) the "startMinute" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getStartHour

    int getStartHour()

  Gets the "startHour" element

### xgetStartHour

    XmlInt xgetStartHour()

  Gets (as xml) the "startHour" element

### setStartHour

    void setStartHour(int startHour)

  Sets the "startHour" element

### xsetStartHour

    void xsetStartHour(XmlInt startHour)

  Sets (as xml) the "startHour" element

### getStartMinute

    int getStartMinute()

  Gets the "startMinute" element

### xgetStartMinute

    XmlInt xgetStartMinute()

  Gets (as xml) the "startMinute" element

### setStartMinute

    void setStartMinute(int startMinute)

  Sets the "startMinute" element

### xsetStartMinute

    void xsetStartMinute(XmlInt startMinute)

  Sets (as xml) the "startMinute" element

### getEndHour

    int getEndHour()

  Gets the "endHour" element

### xgetEndHour

    XmlInt xgetEndHour()

  Gets (as xml) the "endHour" element

### setEndHour

    void setEndHour(int endHour)

  Sets the "endHour" element

### xsetEndHour

    void xsetEndHour(XmlInt endHour)

  Sets (as xml) the "endHour" element

### getEndMinute

    int getEndMinute()

  Gets the "endMinute" element

### xgetEndMinute

    XmlInt xgetEndMinute()

  Gets (as xml) the "endMinute" element

### setEndMinute

    void setEndMinute(int endMinute)

  Sets the "endMinute" element

### xsetEndMinute

    void xsetEndMinute(XmlInt endMinute)

  Sets (as xml) the "endMinute" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD